Subject: Re: bug#11813: bug#11850: crash (null font) running emacs built from git

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Jul 2012 18:56:42 +0300

> From: Chong Yidong <[email-masked]>
> Cc: Left Right <[email-masked]>,  Yotam Medini יותם מדיני <[email-masked]>,
>   [email-masked],  [email-masked]
> Date: Sun, 08 Jul 2012 22:20:01 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > OK, then does the following patch fix the problem?
> >
> > --- src/xdisp.c	2012-07-05 16:28:34 +0000
> > +++ src/xdisp.c	2012-07-05 16:51:53 +0000
> > @@ -22604,7 +22604,7 @@ fill_glyphless_glyph_string (struct glyp
> >    last = s->row->glyphs[s->area] + end;
> >    voffset = glyph->voffset;
> >    s->face = FACE_FROM_ID (s->f, face_id);
> > -  s->font = s->face->font;
> > +  s->font = s->face->font ? s->face->font : FRAME_FONT (s->f);
> >    s->nchars = 1;
> >    s->width = glyph->pixel_width;
> >    glyph++;
> 
> This patch is correct, please commit it.

Done in revision 108954 on the trunk.

> I'm not sure why font loading fails in the reporter's specific case, but
> it's very likely a system misconfiguration.

I was astonished to see glyphless glyphs on the mode line(!).

I hope some font expert could find the reason for this.  It's not just
a rare misconfiguration, since 2 people reported the same crash.

I'm not closing the bug yet, to allow information about the font
configuration to be collected and maybe additional changes made as
result of that.